Bug 562785 - Package Review: perl-Debug-Client - client side code for perl debugger
Summary: Package Review: perl-Debug-Client - client side code for perl debugger
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-08 11:53 UTC by Marcela Mašláňová
Modified: 2010-04-21 06:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-21 06:06:07 UTC
emmanuel: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Marcela Mašláňová 2010-02-08 11:53:10 UTC
SRPM: http://mmaslano.fedorapeople.org/review/perl-Debug-Client-0.11-1.fc13.src.rpm
Spec: http://mmaslano.fedorapeople.org/review/perl-Debug-Client.spec
Description: client side code for perl debugger

Comment 1 Chris Weyl 2010-02-13 20:15:51 UTC
%description might need a bit of work :)  And using DESTDIR rather than PERL_INSTALL_ROOT is probably a good idea, given the recent issues around it.

Comment 3 Emmanuel Seyman 2010-04-18 21:22:05 UTC
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: dist-f14
http://koji.fedoraproject.org/koji/taskinfo?taskID=2123952

 [x] Rpmlint output:
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
9204796d0c884bbc8c504f821a7c2ee2  Debug-Client-0.11.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [x] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide.x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: dist-f14
http://koji.fedoraproject.org/koji/taskinfo?taskID=2123952

 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=14, Tests=185, 21 wallclock secs ( 0.07 usr  0.03 sys +  0.94 cusr  0.16 csys =  1.20 CPU)
Result: PASS

APPROVED.

Comment 4 Marcela Mašláňová 2010-04-19 05:44:09 UTC
New Package CVS Request
=======================
Package Name: perl-Debug-Client
Short Description: client side code for perl debugger
Owners: mmaslano
Branches: F-13
InitialCC: perl-sig

Comment 5 Kevin Fenzi 2010-04-21 04:00:44 UTC
CVS done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.